List Affiliates
curl --request GET \
--url https://api.sellauth.com/v1/shops/{shopId}/affiliates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"perPage": null,
"search": null,
"tier_id": null,
"status": null,
"segment": null,
"orderColumn": null,
"orderDirection": null
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/affiliates"
payload = {
"page": 1,
"perPage": None,
"search": None,
"tier_id": None,
"status": None,
"segment": None,
"orderColumn": None,
"orderDirection": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
page: 1,
perPage: null,
search: null,
tier_id: null,
status: null,
segment: null,
orderColumn: null,
orderDirection: null
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/affiliates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_page": 1,
"data": [
{
"id": 1,
"email": "customer@sellauth.test",
"shop_id": 1,
"balance": "100.00",
"affiliate_balance": "0.00",
"affiliate_code": "PARTNER10",
"affiliate_code_set_at": "2026-09-20 15:56:24",
"affiliate_tier_id": null,
"affiliate_referrer_earnings": "0.00",
"created_at": "2026-09-20T15:56:24.000000Z",
"referrals_count": 0,
"affiliate_tier": null
}
],
"first_page_url": "http://api.sellauth.test/v1/shops/1/affiliates?page=1",
"from": 1,
"last_page": 1,
"last_page_url": "http://api.sellauth.test/v1/shops/1/affiliates?page=1",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "http://api.sellauth.test/v1/shops/1/affiliates?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"next_page_url": null,
"path": "http://api.sellauth.test/v1/shops/1/affiliates",
"per_page": 20,
"prev_page_url": null,
"to": 1,
"total": 1
}Affiliates
List Affiliates
Returns the shop’s affiliates (customers with an affiliate code) with their stats.
GET
/
v1
/
shops
/
{shopId}
/
affiliates
List Affiliates
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Path Parameters
The shop ID.
Body
application/json
Page number.
Example:
1
Items per page, 1-100. Must be at least 1. Must not be greater than 100.
Example:
null
Search by email or affiliate code. Must not be greater than 100 characters.
Example:
null
Filter by affiliate tier ID.
Example:
null
active (default), suspended, or all.
Available options:
active, suspended, all Example:
null
Available options:
active, inactive, new Example:
null
Available options:
id, email, affiliate_code, affiliate_referrer_earnings, balance, affiliate_balance, affiliate_code_set_at, referrals_count Example:
null
Available options:
asc, desc Example:
null
Response
200 - application/json
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"id": 1,
"email": "customer@sellauth.test",
"shop_id": 1,
"balance": "100.00",
"affiliate_balance": "0.00",
"affiliate_code": "PARTNER10",
"affiliate_code_set_at": "2026-09-20 15:56:24",
"affiliate_tier_id": null,
"affiliate_referrer_earnings": "0.00",
"created_at": "2026-09-20T15:56:24.000000Z",
"referrals_count": 0,
"affiliate_tier": null
}
]
Example:
"http://api.sellauth.test/v1/shops/1/affiliates?page=1"
Example:
1
Example:
1
Example:
"http://api.sellauth.test/v1/shops/1/affiliates?page=1"
Show child attributes
Show child attributes
Example:
[
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "http://api.sellauth.test/v1/shops/1/affiliates?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
]
Example:
null
Example:
"http://api.sellauth.test/v1/shops/1/affiliates"
Example:
20
Example:
null
Example:
1
Example:
1